diff -Nur wvc54g-EU.orig/SOURCE/fs/apps/cgi/EN/html.linksysEU/adm/help.htm wvc54g-EU/SOURCE/fs/apps/cgi/EN/html.linksysEU/adm/help.htm
--- wvc54g-EU.orig/SOURCE/fs/apps/cgi/EN/html.linksysEU/adm/help.htm	2005-10-14 05:11:20.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/apps/cgi/EN/html.linksysEU/adm/help.htm	2008-02-08 16:46:52.000000000 +0100
@@ -76,7 +76,8 @@
  
 <tr>
   <td bgcolor="#9292da" class="sp" valign="top">
-    <br><a href="hlp_basic.htm" class="sp">Setup - Basic</a>
+    <br><a href="hlp_olsr.htm" class="sp">Setup - OLSR</a>
+	<p><a href="hlp_basic.htm" class="sp">Setup - Basic</a>
 	<p><a href="hlp_image.htm" class="sp">Setup - Image</a>
 	<p><a href="hlp_user.htm" class="sp">Setup - Users</a>
 	<p><a href="hlp_ddns.htm" class="sp">Setup - SoloLink DDNS</a>
@@ -85,10 +86,14 @@
   </td>
 	
   <td valign="top">
-<br><a href="http://www.linksys.com/international" class="helplink">Linksys Support Page - Download Latest Viewer/Recorder Utility</a>
+<br><b class="help">Please read the OLSR help page.</b>
+<p><a href="http://www.linksys.com/international" class="helplink">Linksys Support Page - Download Latest Viewer/Recorder Utility</a>
 <p><a href="http://www.linksys.com/portfwd" class="helplink">Click here to learn how to configure Port Forwarding in your Linksys Router</a>
 <p><a href="ftp://ftp.linksys.com/international/userguides/wvc54g_eu_ug.pdf" class="helplink">Online User Guide in PDF Format</a>
 <p><a href="http://www.adobe.com" class="helplink">Adobe website (software for viewing PDF documents)</a>
+<p><a href="http://www.freifunk.net/" class="helplink">Freifunk homepage (german)</a>
+<p><a href="http://berlin.freifunk.net/" class="helplink">Berlin mesh community homepage (german)</a>
+<p><a href="http://download.berlin.freifunk.net/sven-ola/wvc/" class="helplink">Download OLSR enabled WVC firmware and flash tool here.</a>
 <p>
 </td>
 </tr>
diff -Nur wvc54g-EU.orig/SOURCE/fs/apps/cgi/EN/html.linksysEU/index.htm wvc54g-EU/SOURCE/fs/apps/cgi/EN/html.linksysEU/index.htm
--- wvc54g-EU.orig/SOURCE/fs/apps/cgi/EN/html.linksysEU/index.htm	2005-10-14 05:10:56.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/apps/cgi/EN/html.linksysEU/index.htm	2008-02-08 16:46:52.000000000 +0100
@@ -51,12 +51,13 @@
  <table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr>
      <td nowrap align="right"><img src="v_left.gif" width="12" height="26" alt="" border="0"></td>
-	 <td nowrap bgcolor="black" width="1%"><b class="wh">Ver @ver_no#</b></td>
+	 <td nowrap bgcolor="black" width="1%" style="margin-right:4px"><b class="wh">Ver @ver_no#+OLSR</b></td>
 	 <td nowrap><img src="v_right.gif" width="12" height="26" alt="" border="0"></td>
-     <td align="right" nowrap><span class="tabtitle">Home</span>  &nbsp; <b class="wh">|</b> &nbsp; 
-       <a href="javascript:goVideo('img/')" class="menubar">View Video</a> &nbsp; <b class="wh">|</b> &nbsp; 
+     <td align="right" nowrap>&nbsp; <span class="tabtitle">Home</span>  &nbsp; <b class="wh">|</b> &nbsp; 
+       <a href="javascript:goVideo('img/')" class="menubar">Video (ActiveX)</a> &nbsp; <b class="wh">|</b> &nbsp; 
+       <a href="img/video.asf" class="menubar">Video (Link)</a> &nbsp; <b class="wh">|</b> &nbsp; 
        <a href="adm/file.cgi?next_file=basic.htm" class="menubar">Setup</a>  &nbsp; <b class="wh">|</b> &nbsp; 
-       <a href="http://www.linksys.com/international" class="menubar" target="_blank">Linksys WEB</a> &nbsp; <b class="wh">|</b> &nbsp; 
+       <a href="http://www.freifunk.net/" class="menubar" target="_blank">freifunk.net</a> &nbsp; <b class="wh">|</b> &nbsp; 
 	   <a href="javascript:showHelp()" class="menubar">Help</a> &nbsp; <b class="wh">|</b> &nbsp; 
        <a href="javascript:self.close()" class="menubar">Exit</a></td>
        <td  bgcolor="#6666cc" width="20"> &nbsp; </td>
diff -Nur wvc54g-EU.orig/SOURCE/fs/apps/Makefile wvc54g-EU/SOURCE/fs/apps/Makefile
--- wvc54g-EU.orig/SOURCE/fs/apps/Makefile	2005-10-14 09:35:24.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/apps/Makefile	2008-02-08 16:46:52.000000000 +0100
@@ -22,18 +22,19 @@
 SUBDIR += iprenew
 #SUBDIR += hello
 #SUBDIR += testf
+SUBDIR += olsrd-90e58c149597
 
 
 $(SUBDIR)::
-	@for i in $(SUBDIR) ; do $(MAKE) -C $$i OEM=$(OEM) || exit 1; done
+	@for i in $(SUBDIR) ; do $(MAKE) -C $$i NO_DEBUG_MESSAGES=1 DEBUG=0 SVEN_OLA_UNBLOAT=1 OS=linux OEM=$(OEM) || exit 1; done
 
 all: $(SUBDIR) install
 
 install:
-	@for i in $(SUBDIR) ; do $(MAKE) -C $$i install OEM=$(OEM) || exit 1; done
+	@for i in $(SUBDIR) ; do $(MAKE) -C $$i install OS=linux OEM=$(OEM) || exit 1; done
 
 clean:
-	@for i in $(SUBDIR) ; do $(MAKE) -C $$i clean OEM=$(OEM) || exit 1; done
+	@for i in $(SUBDIR) ; do $(MAKE) -C $$i clean OS=linux OEM=$(OEM) || exit 1; done
 
 debug:
-	@for i in $(SUBDIR) ; do $(MAKE) -C $$i OEM=$(OEM) CADENUX_DEBUG=y || exit 1; done
+	@for i in $(SUBDIR) ; do $(MAKE) -C $$i OS=linux OEM=$(OEM) CADENUX_DEBUG=y || exit 1; done
diff -Nur wvc54g-EU.orig/SOURCE/fs/Makefile wvc54g-EU/SOURCE/fs/Makefile
--- wvc54g-EU.orig/SOURCE/fs/Makefile	2008-02-08 16:46:47.000000000 +0100
+++ wvc54g-EU/SOURCE/fs/Makefile	2008-02-08 16:46:52.000000000 +0100
@@ -43,70 +43,78 @@
 $(BSPCONF_ARCH): base build mkfs checksize
 
 base:
-	@${SU_CMD} 'make -f Makefile.$(BSPCONF_ARCH) base'
-	@$(MAKE) -C $(USERLAND_DIR) netconfig
+	${SU_CMD} 'make -f Makefile.$(BSPCONF_ARCH) base'
+	$(MAKE) -C $(USERLAND_DIR) netconfig
 
 build:
 	# Make and install the applications in apps/
-	@$(MAKE) -C apps
-	@${SU_CMD} '$(MAKE) -C apps install'
+	$(MAKE) -C apps
+	${SU_CMD} '$(MAKE) -C apps install'
 
 	# Make and install the userland applications
-	@$(MAKE) -C userland
-	@${SU_CMD} '$(MAKE) -C userland install'
+	$(MAKE) -C userland
+	${SU_CMD} '$(MAKE) -C userland install'
 
 	# Copy kernel modules
-	@echo "Copying kernel modules"
+	echo "Copying kernel modules"
 	if [ ! -z "`ls $(FSMODULES_DIR) 2>/dev/null`" ] ; then \
 	cp -Rf $(FSMODULES_DIR)/* $(KERNEL_MODULES)/. ; \
 	fi
 
 	# Replace /etc/resolv.conf with a link to a
 	# write-able version under /mnt/ramdisk
-	@rm -f ${FSROOT_DIR}/etc/resolv.conf
-	@ln -s /mnt/ramdisk/resolv.conf ${FSROOT_DIR}/etc/resolv.conf
+	rm -f ${FSROOT_DIR}/etc/resolv.conf
+	ln -s /mnt/ramdisk/resolv.conf ${FSROOT_DIR}/etc/resolv.conf
+
+	# Sven-Ola: Replace some files with a link to the ramdisk
+	rm -f ${FSROOT_DIR}/etc/passwd
+	ln -s /mnt/ramdisk/passwd ${FSROOT_DIR}/etc/passwd
+	rm -f ${FSROOT_DIR}/etc/olsrd.conf
+	ln -s /mnt/ramdisk/olsrd.conf ${FSROOT_DIR}/etc/olsrd.conf
+	rm -f ${FSROOT_DIR}/usr/local/www/ramdisk
+	ln -s /mnt/ramdisk/www ${FSROOT_DIR}/usr/local/www/ramdisk
 
 	# Make symbolic link for etc/system.conf
-	@ln -sf /mnt/ramdisk/system.conf ${FSROOT_DIR}/etc/system.conf
+	ln -sf /mnt/ramdisk/system.conf ${FSROOT_DIR}/etc/system.conf
 
 	# Make symbolic link for etc/crontab
-	@ln -sf /mnt/ramdisk/crontab ${FSROOT_DIR}/etc/crontab
+	ln -sf /mnt/ramdisk/crontab ${FSROOT_DIR}/etc/crontab
 
 	# Stripping all files on FSROOT_DIR
-	@${SU_CMD} 'find ${FSROOT_DIR} ! -path "${FSROOT_DIR}/lib/modules/*" ! -path "${FSROOT_DIR}/usr/lib/*" -type f -exec ${STRIP} --strip-all {} \; 2>${LOG}'
-	@${SU_CMD} 'find ${FSROOT_DIR}/lib/modules -type f -exec ${STRIP} --strip-debug {} \; 2>${LOG}'
+	${SU_CMD} 'find ${FSROOT_DIR} ! -path "${FSROOT_DIR}/lib/modules/*" ! -path "${FSROOT_DIR}/usr/lib/*" -type f -exec ${STRIP} --strip-all {} \; 2>${LOG}'
+	${SU_CMD} 'find ${FSROOT_DIR}/lib/modules -type f -exec ${STRIP} --strip-debug {} \; 2>${LOG}'
 
 	# Setting ownership and permissions
 ifeq ($(BSPCONF_HOST),linux)
-	@${SU_CMD} 'chown root:root ${FSROOT_DIR}; find ${FSROOT_DIR} -type d -exec chmod 0777 {} \;'
+	${SU_CMD} 'chown root:root ${FSROOT_DIR}; find ${FSROOT_DIR} -type d -exec chmod 0777 {} \;'
 endif
 
 checksize:
 	# Checking to make sure generated filesystem isn't too big...
-	@if [ "`du -s ${ROOT_IMAGE} | cut -f1`" -gt "${ROOT_IMAGE_KB}" ]; then \
+	if [ "`du -s ${ROOT_IMAGE} | cut -f1`" -gt "${ROOT_IMAGE_KB}" ]; then \
 		echo "Filesystem too large" && false; \
 	fi
 
 clean:
-	@rm -rf *~ ${ROOT_IMAGE}
-	@make -f Makefile.$(BSPCONF_ARCH) clean
-	@$(MAKE) -C userland clean
-	@$(MAKE) -C apps clean
+	rm -rf *~ ${ROOT_IMAGE}
+	make -f Makefile.$(BSPCONF_ARCH) clean
+	$(MAKE) -C userland clean
+	$(MAKE) -C apps clean
 
 distclean: clean
-	@rm -rf ${RAMDISK_IMAGE}
-	@${SU_CMD} 'make -f Makefile.$(BSPCONF_ARCH) distclean'
+	rm -rf ${RAMDISK_IMAGE}
+	${SU_CMD} 'make -f Makefile.$(BSPCONF_ARCH) distclean'
 
 mkfs:
 ifeq (${BSPCONF_ROOT_FS},romfs)
 	# Building ROM filesystem
 	${GENROMFS} -d ${FSROOT_DIR} -f ${ROOT_IMAGE}
-	@chmod 666 ${ROOT_IMAGE}
+	chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},cramfs)
 	# Building CRAM filesystem...
 	${MKCRAMFS} ${FSROOT_DIR} ${ROOT_IMAGE} >${LOG}
-	@chmod 666 ${ROOT_IMAGE}
+	chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},jffs)
 	# Building JFFS filesystem...
@@ -114,34 +122,34 @@
 	${MKJFFS} -d ${FSROOT_DIR} -a little -e 65536 -o ${ROOT_IMAGE} >${LOG}
 endif
 ifeq ($(BSPCONF_HOST),cygwin)
-	@make -f Makefile.$(BSPCONF_ARCH) mknod
+	make -f Makefile.$(BSPCONF_ARCH) mknod
 	${MKJFFS} -r -n $(MKNOD_LIST) -d ${FSROOT_DIR} -a little -e 65536 -o ${ROOT_IMAGE} >${LOG}
-	@rm -f $(MKNOD_LIST)
+	rm -f $(MKNOD_LIST)
 endif
-	@chmod 666 ${ROOT_IMAGE}
+	chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},jffs2)
 	# Building JFFS2 filesystem...
 	${MKJFFS2} -d ${FSROOT_DIR} -l -e ${BSPCONF_FLASH_ERASE_SIZE} -o ${ROOT_IMAGE} >${LOG}
-	@chmod 666 ${ROOT_IMAGE}
+	chmod 666 ${ROOT_IMAGE}
 endif
 ifeq (${BSPCONF_ROOT_FS},ext2fs)
 	# Building EXT2 filesystem...
-	@dd if=/dev/zero of=${ROOT_IMAGE} bs=1024 count=${ROOT_IMAGE_KB} >${LOG}
-	@${MKFSEXT2} -m 0 -O none -F ${ROOT_IMAGE} >${LOG}
-	@${SU_CMD} 'make mount; (cd ${FSROOT_DIR}; find . | cpio -pdum ${ROOT_MNT}); make umount'
-	@chmod 666 ${ROOT_IMAGE}
-	@${FSCKEXT2} -n ${ROOT_IMAGE}
+	dd if=/dev/zero of=${ROOT_IMAGE} bs=1024 count=${ROOT_IMAGE_KB} >${LOG}
+	${MKFSEXT2} -m 0 -O none -F ${ROOT_IMAGE} >${LOG}
+	${SU_CMD} 'make mount; (cd ${FSROOT_DIR}; find . | cpio -pdum ${ROOT_MNT}); make umount'
+	chmod 666 ${ROOT_IMAGE}
+	${FSCKEXT2} -n ${ROOT_IMAGE}
 endif
 
 mount:
 	# Mounting filesystem ROOT_IMAGE on ROOT_MNT...";
-	@if [ ! -d "${ROOT_MNT}" ]; then \
+	if [ ! -d "${ROOT_MNT}" ]; then \
 		mkdir -p --mode=0777 ${ROOT_MNT}; \
 	fi
-	@${SU_CMD} 'mount -o loop ${ROOT_IMAGE} ${ROOT_MNT}'
+	${SU_CMD} 'mount -o loop ${ROOT_IMAGE} ${ROOT_MNT}'
 
 umount:
 	# Unmounting ROOT_MNT
-	@${SU_CMD} 'umount ${ROOT_MNT}'
+	${SU_CMD} 'umount ${ROOT_MNT}'
 
diff -Nur wvc54g-EU.orig/SOURCE/fs/Makefile.dm270 wvc54g-EU/SOURCE/fs/Makefile.dm270
--- wvc54g-EU.orig/SOURCE/fs/Makefile.dm270	2008-02-08 16:46:47.000000000 +0100
+++ wvc54g-EU/SOURCE/fs/Makefile.dm270	2008-02-08 16:46:52.000000000 +0100
@@ -49,108 +49,108 @@
 PHONY: all mknod base_fs ramdisk. ramdisk.linux ramdisk.cygwin base clean distclean
 
 mknod:
-	@rm -f $(MKNOD_LIST)
-	@echo "mknod ram0            b   1   0" > $(MKNOD_LIST)
-	@echo "mknod ram1            b   1   1" >> $(MKNOD_LIST)
-	@echo "mknod fda             b   2   0" >> $(MKNOD_LIST)
-	@echo "mknod fda1            b   2   1" >> $(MKNOD_LIST)
-	@echo "mknod hda             b   3   0" >> $(MKNOD_LIST)
-	@echo "mknod hda1            b   3   1" >> $(MKNOD_LIST)
-	@echo "mknod hda2            b   3   2" >> $(MKNOD_LIST)
-	@echo "mknod hdb             b   3   0" >> $(MKNOD_LIST)
-	@echo "mknod hdb1            b   3   1" >> $(MKNOD_LIST)
-	@echo "mknod hdb2            b   3   2" >> $(MKNOD_LIST)
-	@echo "mknod hdc             b  22   0" >> $(MKNOD_LIST)
-	@echo "mknod hdc1            b  22   1" >> $(MKNOD_LIST)
-	@echo "mknod hdc2            b  22   2" >> $(MKNOD_LIST)
-	@echo "mknod mtd0            b  31   0" >> $(MKNOD_LIST)
-	@echo "mknod mtd1            b  31   1" >> $(MKNOD_LIST)
-	@echo "mknod mtd2            b  31   2" >> $(MKNOD_LIST)
-	@echo "mknod mtd3            b  31   3" >> $(MKNOD_LIST)
-	@echo "mknod null            c   1   3" >> $(MKNOD_LIST)
-	@echo "mknod zero            c   1   5" >> $(MKNOD_LIST)
-	@echo "mknod random          c   1   8" >> $(MKNOD_LIST)
-	@echo "mknod urandom         c   1   9" >> $(MKNOD_LIST)
-	@echo "mknod ptyp0           c   2   0" >> $(MKNOD_LIST)
-	@echo "mknod ptyp1           c   2   1" >> $(MKNOD_LIST)
-	@echo "mknod ttyp0           c   3   0" >> $(MKNOD_LIST)
-	@echo "mknod ttyp1           c   3   1" >> $(MKNOD_LIST)
-	@echo "mknod tty0            c   4   0" >> $(MKNOD_LIST)
-	@echo "mknod tty1            c   4   1" >> $(MKNOD_LIST)
-	@echo "mknod tty2            c   4   2" >> $(MKNOD_LIST)
-	@echo "mknod tty3            c   4   3" >> $(MKNOD_LIST)
-	@echo "mknod tty4            c   4   4" >> $(MKNOD_LIST)
-	@echo "mknod tty5            c   4   5" >> $(MKNOD_LIST)
-	@echo "mknod tty6            c   4   6" >> $(MKNOD_LIST)
-	@echo "mknod tty7            c   4   7" >> $(MKNOD_LIST)
-	@echo "mknod ttyS0           c   4  64" >> $(MKNOD_LIST)
-	@echo "mknod ttyS1           c   4  65" >> $(MKNOD_LIST)
-	@echo "mknod tty             c   5   0" >> $(MKNOD_LIST)
-	@echo "mknod console         c   5   1" >> $(MKNOD_LIST)
-	@echo "mknod ptmx            c   5   2" >> $(MKNOD_LIST)
-	@echo "mknod fb0             c  29   0" >> $(MKNOD_LIST)
-	@echo "mknod fb1             c  29  32" >> $(MKNOD_LIST)
-	@echo "mknod fb2             c  29  64" >> $(MKNOD_LIST)
-	@echo "mknod fb3             c  29  96" >> $(MKNOD_LIST)
-	@echo "mknod timer0          c 124   0" >> $(MKNOD_LIST)
-	@echo "mknod timer1          c 124   1" >> $(MKNOD_LIST)
-	@echo "mknod timer2          c 124   2" >> $(MKNOD_LIST)
-	@echo "mknod timer3          c 124   3" >> $(MKNOD_LIST)
-	@echo "mknod light	     c  220  0" >> $(MKNOD_LIST)
-	@echo "mknod switch	     c  221  0" >> $(MKNOD_LIST)
-	@echo "mknod lcd	     c  222  0" >> $(MKNOD_LIST)
-	@echo "mknod remote	     c  223  0" >> $(MKNOD_LIST)
-	@echo "mknod flash	     c  200  0" >> $(MKNOD_LIST)
-	@echo "mknod cmos	     c  70   0" >> $(MKNOD_LIST)
-	@echo "mknod dsp	     c  70   1" >> $(MKNOD_LIST)
-	@echo "mknod audio	     c  71   0" >> $(MKNOD_LIST)
+	rm -f $(MKNOD_LIST)
+	echo "mknod ram0            b   1   0" > $(MKNOD_LIST)
+	echo "mknod ram1            b   1   1" >> $(MKNOD_LIST)
+	echo "mknod fda             b   2   0" >> $(MKNOD_LIST)
+	echo "mknod fda1            b   2   1" >> $(MKNOD_LIST)
+	echo "mknod hda             b   3   0" >> $(MKNOD_LIST)
+	echo "mknod hda1            b   3   1" >> $(MKNOD_LIST)
+	echo "mknod hda2            b   3   2" >> $(MKNOD_LIST)
+	echo "mknod hdb             b   3   0" >> $(MKNOD_LIST)
+	echo "mknod hdb1            b   3   1" >> $(MKNOD_LIST)
+	echo "mknod hdb2            b   3   2" >> $(MKNOD_LIST)
+	echo "mknod hdc             b  22   0" >> $(MKNOD_LIST)
+	echo "mknod hdc1            b  22   1" >> $(MKNOD_LIST)
+	echo "mknod hdc2            b  22   2" >> $(MKNOD_LIST)
+	echo "mknod mtd0            b  31   0" >> $(MKNOD_LIST)
+	echo "mknod mtd1            b  31   1" >> $(MKNOD_LIST)
+	echo "mknod mtd2            b  31   2" >> $(MKNOD_LIST)
+	echo "mknod mtd3            b  31   3" >> $(MKNOD_LIST)
+	echo "mknod null            c   1   3" >> $(MKNOD_LIST)
+	echo "mknod zero            c   1   5" >> $(MKNOD_LIST)
+	echo "mknod random          c   1   8" >> $(MKNOD_LIST)
+	echo "mknod urandom         c   1   9" >> $(MKNOD_LIST)
+	echo "mknod ptyp0           c   2   0" >> $(MKNOD_LIST)
+	echo "mknod ptyp1           c   2   1" >> $(MKNOD_LIST)
+	echo "mknod ttyp0           c   3   0" >> $(MKNOD_LIST)
+	echo "mknod ttyp1           c   3   1" >> $(MKNOD_LIST)
+	echo "mknod tty0            c   4   0" >> $(MKNOD_LIST)
+	echo "mknod tty1            c   4   1" >> $(MKNOD_LIST)
+	echo "mknod tty2            c   4   2" >> $(MKNOD_LIST)
+	echo "mknod tty3            c   4   3" >> $(MKNOD_LIST)
+	echo "mknod tty4            c   4   4" >> $(MKNOD_LIST)
+	echo "mknod tty5            c   4   5" >> $(MKNOD_LIST)
+	echo "mknod tty6            c   4   6" >> $(MKNOD_LIST)
+	echo "mknod tty7            c   4   7" >> $(MKNOD_LIST)
+	echo "mknod ttyS0           c   4  64" >> $(MKNOD_LIST)
+	echo "mknod ttyS1           c   4  65" >> $(MKNOD_LIST)
+	echo "mknod tty             c   5   0" >> $(MKNOD_LIST)
+	echo "mknod console         c   5   1" >> $(MKNOD_LIST)
+	echo "mknod ptmx            c   5   2" >> $(MKNOD_LIST)
+	echo "mknod fb0             c  29   0" >> $(MKNOD_LIST)
+	echo "mknod fb1             c  29  32" >> $(MKNOD_LIST)
+	echo "mknod fb2             c  29  64" >> $(MKNOD_LIST)
+	echo "mknod fb3             c  29  96" >> $(MKNOD_LIST)
+	echo "mknod timer0          c 124   0" >> $(MKNOD_LIST)
+	echo "mknod timer1          c 124   1" >> $(MKNOD_LIST)
+	echo "mknod timer2          c 124   2" >> $(MKNOD_LIST)
+	echo "mknod timer3          c 124   3" >> $(MKNOD_LIST)
+	echo "mknod light	     c  220  0" >> $(MKNOD_LIST)
+	echo "mknod switch	     c  221  0" >> $(MKNOD_LIST)
+	echo "mknod lcd	     c  222  0" >> $(MKNOD_LIST)
+	echo "mknod remote	     c  223  0" >> $(MKNOD_LIST)
+	echo "mknod flash	     c  200  0" >> $(MKNOD_LIST)
+	echo "mknod cmos	     c  70   0" >> $(MKNOD_LIST)
+	echo "mknod dsp	     c  70   1" >> $(MKNOD_LIST)
+	echo "mknod audio	     c  71   0" >> $(MKNOD_LIST)
 
 base_fs:
 	# Removing filesystem at FSROOT_DIR
-	@rm -rf ${FSROOT_DIR}
+	rm -rf ${FSROOT_DIR}
 	# Creating new root filesystem at RSROOT_DIR
-	@mkdir --mode=0777 ${FSROOT_DIR}
-	@for dir in ${BASE_DIRS}; do \
+	mkdir --mode=0777 ${FSROOT_DIR}
+	for dir in ${BASE_DIRS}; do \
 		mkdir --mode=0777 ${FSROOT_DIR}/$$dir; \
 	done
-	@for dir in ${BASE_LNKS}; do \
+	for dir in ${BASE_LNKS}; do \
 		mkdir --mode=0777 ${FSROOT_DIR}/init/$$dir; \
 		ln -s init/$$dir ${FSROOT_DIR}; \
 	done
-	@for dir in ${LINK_DIRS}; do \
+	for dir in ${LINK_DIRS}; do \
 		mkdir --mode=0777 ${FSROOT_DIR}/$$dir; \
 	done
 
 	# Creating symbolic links to device files...
 
-	@ln -sf fb0 ${FSROOT_DIR}/dev/fb
-	@ln -sf hdc ${FSROOT_DIR}/dev/cdrom
-	@ln -sf ram0 ${FSROOT_DIR}/dev/ramdisk
+	ln -sf fb0 ${FSROOT_DIR}/dev/fb
+	ln -sf hdc ${FSROOT_DIR}/dev/cdrom
+	ln -sf ram0 ${FSROOT_DIR}/dev/ramdisk
 
 	# Creating required files...
-	@touch ${FSROOT_DIR}/var/log/wtmp
-	@touch ${FSROOT_DIR}/var/run/utmp
+	touch ${FSROOT_DIR}/var/log/wtmp
+	touch ${FSROOT_DIR}/var/run/utmp
 
 	# Redirect syslog to null
-	@ln -sf /dev/null ${FSROOT_DIR}/var/log/syslog
+	ln -sf /dev/null ${FSROOT_DIR}/var/log/syslog
 
 	# Installing the XFLAT dynamic loader
-	@install -D --mode=755 ${TOOL_LIBDIR}/ld-xflat.so.1 \
+	install -D --mode=755 ${TOOL_LIBDIR}/ld-xflat.so.1 \
 	${FSROOT_DIR}/lib/ld-xflat.so.1 
-	@ln -sf ld-xflat.so.1 ${FSROOT_DIR}/lib/ld-xflat.so
+	ln -sf ld-xflat.so.1 ${FSROOT_DIR}/lib/ld-xflat.so
 
 	# Installing shared libc...
-	@install -D --mode=755 ${TOOL_LIBDIR}/libc-xflat.so.1 \
+	install -D --mode=755 ${TOOL_LIBDIR}/libc-xflat.so.1 \
 	${FSROOT_DIR}/lib/libc-xflat.so.1
-	@ln -sf libc-xflat.so.1 ${FSROOT_DIR}/lib/libc-xflat.so
+	ln -sf libc-xflat.so.1 ${FSROOT_DIR}/lib/libc-xflat.so
 
 	# Installing shared libpthread
-	@install -D --mode=755 ${TOOL_LIBDIR}/libpthread-xflat.so.1 \
+	install -D --mode=755 ${TOOL_LIBDIR}/libpthread-xflat.so.1 \
 	${FSROOT_DIR}/lib/libpthread-xflat.so.1
-	@ln -sf libpthread-xflat.so.1 ${FSROOT_DIR}/lib/libpthread-xflat.so
+	ln -sf libpthread-xflat.so.1 ${FSROOT_DIR}/lib/libpthread-xflat.so
 
 	# Installing the XFLAT loader
-	@install -D --mode=755 ${TOOL_LIBDIR}/binfmt_xflat.o \
+	install -D --mode=755 ${TOOL_LIBDIR}/binfmt_xflat.o \
 	${FSROOT_DIR}/${KERNEL_MODULES}/binfmt_xflat.o
 
 	# Installing gdbserver
@@ -167,16 +167,16 @@
 
 	# Setting ownership and permissions...
 ifeq ($(BSPCONF_HOST),linux)
-	@chown    root:root ${FSROOT_DIR}
+	chown    root:root ${FSROOT_DIR}
 endif
-	@find ${FSROOT_DIR} -type d -exec chmod 0777 {} \;
-	@chmod 0750 ${FSROOT_DIR}/init/root
-	@chmod 1777 ${FSROOT_DIR}/init/tmp
-	@chmod 0555 ${FSROOT_DIR}/proc
+	find ${FSROOT_DIR} -type d -exec chmod 0777 {} \;
+	chmod 0750 ${FSROOT_DIR}/init/root
+	chmod 1777 ${FSROOT_DIR}/init/tmp
+	chmod 0555 ${FSROOT_DIR}/proc
 
 ramdisk.:
-	@echo Error: environment variable BSPCONF_HOST is not defined.
-	@exit -1
+	echo Error: environment variable BSPCONF_HOST is not defined.
+	exit -1
 
 ramdisk.linux: mknod
 	# Creating device nodes
@@ -185,54 +185,62 @@
 	rm -f $(MKNOD_LIST) 
 
 	# Creating RAM disk...
-	@if [ ! -d "${ROOT_MNT}" ]; then \
+	if [ ! -d "${ROOT_MNT}" ]; then \
 		mkdir -p --mode=0777 ${ROOT_MNT}; \
 	fi
 
-	@dd if=/dev/zero of=$(RAMDISK_IMAGE) bs=1024 count=256 >${LOG}
-	@/sbin/mkfs.minix $(RAMDISK_IMAGE) >${LOG}
-	@mount -o loop $(RAMDISK_IMAGE) ${ROOT_MNT}
-	@(cd ${FSROOT_DIR}/init; find . | cpio -pdum ${ROOT_MNT})
+	dd if=/dev/zero of=$(RAMDISK_IMAGE) bs=1024 count=512 >${LOG}
+	/sbin/mkfs.minix $(RAMDISK_IMAGE) >${LOG}
+	mount -o loop $(RAMDISK_IMAGE) ${ROOT_MNT}
+	(cd ${FSROOT_DIR}/init; find . | cpio -pdum ${ROOT_MNT})
 
 	# Put default resolv.conf to the ramdisk image so that
 	# DHCP (if run by the system) can overwrite this 
 	# file with discovered network specifics.
-	@if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
+	if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/resolv.conf ${ROOT_MNT}/resolv.conf; \
 	fi
 
+	# Sven-Ola: Copy some files to the ramdisk image
+	if [ -f ${FSSCRIPTS_DIR}/etc/passwd ]; then \
+		cp ${FSSCRIPTS_DIR}/etc/passwd ${ROOT_MNT}/passwd; \
+	fi
+	if [ -f ${FSSCRIPTS_DIR}/etc/olsrd.conf ]; then \
+		cp ${FSSCRIPTS_DIR}/etc/olsrd.conf ${ROOT_MNT}/olsrd.conf; \
+	fi
+
 	# Put default crontab to the ramdisk image
-	@if [ -f ${FSSCRIPTS_DIR}/etc/crontab ]; then \
+	if [ -f ${FSSCRIPTS_DIR}/etc/crontab ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/crontab ${ROOT_MNT}/crontab; \
 	fi
 
-	@umount ${ROOT_MNT}
-	@/sbin/fsck.minix $(RAMDISK_IMAGE)
-	@$(HOLES) $(RAMDISK_IMAGE) >${FSROOT_DIR}/$(RAMDISK_IMAGE)
+	umount ${ROOT_MNT}
+	/sbin/fsck.minix $(RAMDISK_IMAGE)
+	$(HOLES) $(RAMDISK_IMAGE) >${FSROOT_DIR}/$(RAMDISK_IMAGE)
 
 	# Fixing links RAM disk...
-	@for dir in ${BASE_LNKS}; do \
+	for dir in ${BASE_LNKS}; do \
  		ln -sf mnt/ramdisk/$$dir ${FSROOT_DIR}; \
 	done
-	@rm -rf ${FSROOT_DIR}/init
+	rm -rf ${FSROOT_DIR}/init
 
 ramdisk.cygwin:
 	# Put default resolv.conf to file system so boot up script
 	# (/etc/rc) can copy it to dynamically built ramdisk
-	@if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
+	if [ -f ${FSSCRIPTS_DIR}/etc/resolv.conf ]; then \
 		cp ${FSSCRIPTS_DIR}/etc/resolv.conf ${FSROOT_DIR}/etc/resolv.conf.orig; \
 	fi
 
 	# Fixing links RAM disk...
-	@for dir in ${BASE_LNKS}; do \
+	for dir in ${BASE_LNKS}; do \
 		ln -sf mnt/ramdisk/$$dir ${FSROOT_DIR}; \
 	done
-	@rm -rf ${FSROOT_DIR}/init
+	rm -rf ${FSROOT_DIR}/init
 
 base: base_fs $(RAMDISK) 
 
 clean:
-	@rm -f $(RAMDISK_IMAGE)
+	rm -f $(RAMDISK_IMAGE)
 
 distclean: clean
-	@rm -rf *~ ${FSROOT_DIR}
+	rm -rf *~ ${FSROOT_DIR}
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/busybox-0.60.3/Config.h wvc54g-EU/SOURCE/fs/userland/busybox-0.60.3/Config.h
--- wvc54g-EU.orig/SOURCE/fs/userland/busybox-0.60.3/Config.h	2004-04-16 09:33:24.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/userland/busybox-0.60.3/Config.h	2008-02-08 16:46:52.000000000 +0100
@@ -15,7 +15,7 @@
 //#define BB_CHGRP
 #define BB_CHMOD
 #define BB_CHOWN
-//#define BB_CHROOT
+#define BB_CHROOT
 //#define BB_CHVT
 #define BB_CLEAR
 #define BB_CMP
@@ -46,8 +46,8 @@
 //#define BB_FSCK_MINIX
 //#define BB_GETOPT
 #define BB_GREP
-//#define BB_GUNZIP
-//#define BB_GZIP
+#define BB_GUNZIP
+#define BB_GZIP
 #define BB_HALT
 #define BB_HEAD
 //#define BB_HOSTID
@@ -72,7 +72,7 @@
 #define BB_LS
 #define BB_LSMOD
 //#define BB_MAKEDEVS
-//#define BB_MD5SUM
+#define BB_MD5SUM
 #define BB_MKDIR
 //#define BB_MKFIFO
 //#define BB_MKFS_MINIX
@@ -89,9 +89,9 @@
 #define BB_NSLOOKUP
 #define BB_PIDOF
 #define BB_PING
-//#define BB_PIVOT_ROOT
+#define BB_PIVOT_ROOT
 //#define BB_POWEROFF
-//#define BB_PRINTF
+#define BB_PRINTF
 #define BB_PS
 #define BB_PWD
 //#define BB_RDATE
@@ -104,16 +104,16 @@
 #define BB_RMMOD
 #define BB_ROUTE
 //#define BB_RPM2CPIO
-//#define BB_SED
+#define BB_SED
 //#define BB_SETKEYCODES
 #define BB_SLEEP
-//#define BB_SORT
+#define BB_SORT
 //#define BB_STTY
 //#define BB_SWAPONOFF
 #define BB_SYNC
 //#define BB_SYSLOGD
 #define BB_TAIL
-//#define BB_TAR
+#define BB_TAR
 //#define BB_TEE
 #define BB_TEST
 //#define BB_TELNET
@@ -121,7 +121,7 @@
 //#define BB_TIME
 #define BB_TOUCH
 //#define BB_TR
-//#define BB_TRACEROUTE
+#define BB_TRACEROUTE
 #define BB_TRUE_FALSE
 //#define BB_TTY
 //#define BB_UNIX2DOS
@@ -133,10 +133,10 @@
 //#define BB_UPDATE
 #define BB_UPTIME
 //#define BB_USLEEP
-//#define BB_VI
+#define BB_VI
 //#define BB_WATCHDOG
 //#define BB_WC
-//#define BB_WGET
+#define BB_WGET
 #define BB_WHICH
 #define BB_WHOAMI
 //#define BB_XARGS
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/scripts/etc/rc wvc54g-EU/SOURCE/fs/userland/scripts/etc/rc
--- wvc54g-EU.orig/SOURCE/fs/userland/scripts/etc/rc	2004-09-21 04:53:44.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/userland/scripts/etc/rc	2008-02-08 16:54:48.000000000 +0100
@@ -49,6 +49,11 @@
 # ---- Set Push Button ---- #
 /sbin/insmod switchs
 /usr/local/bin/read_push &
+# ---- First add wlan driver (added by sven-ola) ----#
+eval `grep lan_ip_addr= /etc/system.conf`
+eval `grep lan_netmask= /etc/system.conf`
+eval `grep lan_broadcast= /etc/system.conf`
+test -n "$lan_ip_addr" && /sbin/insmod wl
 # ---- Set LAN/WLAN Driver ---- #
 /sbin/insmod dm9000x
 # ---- Set LoopBack Network (TCP/IP) ---- #
@@ -77,7 +82,100 @@
 # ---- Set LED To Device (Ready ON) ----- #
 /usr/local/bin/do_leds 0 0
 # ---- Set telnet and ftp Enable ---- #
-#/usr/sbin/inetd /etc/inetd.conf &
+/usr/sbin/inetd /etc/inetd.conf &
+
+# Note: Change /etc/system.conf, then change something on web GUI
+# to make your setting permanent. It GUI change will write to flash.
+
+# ---- Configure olsrd nameservice (added by sven-ola) ----#
+#eval `ifconfig eth0|sed -e 's/:/=/g;s/inet addr/ip_addr/'|grep ip_addr`
+eval `grep ip_addr= /etc/system.conf`
+eval `grep comment= /etc/system.conf|sed -e's/=\\(.*\\)/="\\1"/'`
+eval `grep hostname= /etc/system.conf|sed -ne'1p'`
+if [ -n "$hostname" ]; then
+  eval `grep ff_gps_lat= /etc/system.conf`
+  eval `grep ff_gps_lon= /etc/system.conf`
+  cat>>/etc/olsrd.conf<<EOM
+LoadPlugin "olsrd_nameservice.so.0.3"
+{
+	PlParam "name"          "$hostname"
+	PlParam "hosts-file"    "/var/run/hosts"
+	PlParam "suffix"        ".olsr"
+EOM
+  test -n "$comment" && cat>>/etc/olsrd.conf<<EOM
+	PlParam "service"       "http://$ip_addr:80/|tcp|$comment"
+EOM
+  test -n "$ff_gps_lat" && test -n "$ff_gps_lon" && cat>>/etc/olsrd.conf<<EOM
+	PlParam "lat"		"$ff_gps_lat"
+	PlParam "lon"		"$ff_gps_lon"
+	PlParam "latlon-file"   "/var/run/latlon.js"
+EOM
+  cat>>/etc/olsrd.conf<<EOM
+}
+EOM
+fi
+
+# ---- Configure second Ethernet/LAN (added by sven-ola) ---- #
+if [ -n "$lan_ip_addr" ]; then
+  if grep -q "^wl" /proc/modules; then
+    /sbin/ifconfig eth1 $lan_ip_addr netmask $lan_netmask broadcast $lan_broadcast
+    /sbin/ifconfig eth1:0 192.168.1.115 netmask 255.255.255.0 broadcast 192.168.1.255
+    # rc.setip does not set the wireless param any more
+    eval `grep operation_mode= /etc/system.conf`
+    eval `grep essid= /etc/system.conf`
+    eval `grep channel= /etc/system.conf`
+    /etc/wl infra $operation_mode
+    /etc/wl channel $channel
+    if [ "$operation_mode" = "0" ]; then
+      /etc/wl join $essid mode ibss
+    else
+      /etc/wl join $essid
+    fi
+
+    eval `grep lan_olsr= /etc/system.conf`
+    if [ -n "$lan_olsr" ]; then
+      cat>>/etc/olsrd.conf<<EOM
+Interface "eth1"
+{
+        HelloInterval           5.0
+        HelloValidityTime       125.0
+        TcInterval              3.0
+        TcValidityTime          375.0
+        MidInterval             25.0
+        MidValidityTime         375.0
+        HnaInterval             25.0
+        HnaValidityTime         375.0
+}
+EOM
+    fi
+  else
+    # No wifi loaded nor detected: This camera has no wifi card
+    /sbin/ifconfig eth0:0 192.168.1.115 netmask 255.255.255.0 broadcast 192.168.1.255
+  fi
+fi
+# ---- Start OLSR daemon (added by sven-ola) ---- #
+eval `grep wl_rts= /etc/system.conf`
+eval `grep wl_frag= /etc/system.conf`
+eval `grep wl_txpwr= /etc/system.conf`
+
+test -z "$wl_rts" && wl_rts=2345
+test -z "$wl_frag" && wl_frag=2346
+test -z "$wl_txpwr" && wl_txpwr=50
+
+/etc/wl rts $wl_rts
+/etc/wl frag $wl_frag
+/etc/wl txpwr $wl_txpwr
+/sbin/route del default
+/usr/sbin/olsrd -d 0 -nofork>/dev/null 2>&1 &
+echo 1 >/proc/sys/net/ipv4/ip_forward
+echo 0 >/proc/sys/net/ipv4/conf/all/send_redirects
+echo "*/1 * * * * root /etc/olsrd-check.sh">>/mnt/ramdisk/crontab
+# ---- Start User Script (added by sven-ola) ---- #
+eval `grep user_rc= /etc/system.conf`
+eval '$user_rc'
+# ---- Add Admin User (added by sven-ola) ---- #
+eval `grep admin= /etc/system.conf`
+eval `grep admin_pw= /etc/system.conf`
+echo $admin:`crypt $admin_pw`:0:0:$admin:/root:/bin/sh>>/etc/passwd
 # ---- Start Login Shell ---- #
 exit 0
-
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/applets.h wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/applets.h
--- wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/applets.h	2004-04-16 09:33:25.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/applets.h	2008-02-08 16:46:52.000000000 +0100
@@ -34,6 +34,9 @@
 #ifdef TLG_DELGROUP
 	APPLET("delgroup", delgroup_main, _TLG_DIR_BIN, FALSE, delgroup_usage)
 #endif
+#ifdef TLG_CRYPT
+	APPLET("crypt", crypt_main, _TLG_DIR_BIN, FALSE, crypt_usage)
+#endif
 #ifdef TLG_DELUSER
 	APPLET("deluser", deluser_main, _TLG_DIR_BIN, FALSE, deluser_usage)
 #endif
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/Config.h wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/Config.h
--- wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/Config.h	2004-04-16 09:33:25.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/Config.h	2008-02-08 16:46:52.000000000 +0100
@@ -5,6 +5,7 @@
 
 //#define TLG_ADDUSER
 //#define TLG_ADDGROUP
+#define TLG_CRYPT
 //#define TLG_DELUSER
 //#define TLG_DELGROUP
 #define TLG_GETTY
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/crypt.c wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/crypt.c
--- wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/crypt.c	1970-01-01 01:00:00.000000000 +0100
+++ wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/crypt.c	2008-02-08 16:46:52.000000000 +0100
@@ -0,0 +1,27 @@
+/*
+ * crypt (crypt a password ;) for TinyLogin
+ *
+ * Copyright (C) 2005 by Sven-Ola@gmx.de
+ *
+ */
+
+#include "tinylogin.h"
+#include "tlstrings.h"
+#include <sys/stat.h>
+#include <unistd.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
+/* ________________________________________________________________________ */
+int crypt_main(int argc, char **argv)
+{
+	char pass[200];
+	if (argc != 2) {
+		usage(crypt_usage);
+	} else {
+		STRFCPY(pass, argv[1]);
+		printf("%s\n", pw_encrypt(pass, "$1$"));
+	}
+	return (EXIT_SUCCESS);
+}
diff -Nur wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/usage.c wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/usage.c
--- wvc54g-EU.orig/SOURCE/fs/userland/tinylogin-1.02/usage.c	2004-04-16 09:33:25.000000000 +0200
+++ wvc54g-EU/SOURCE/fs/userland/tinylogin-1.02/usage.c	2008-02-08 16:46:52.000000000 +0100
@@ -23,6 +23,15 @@
 #endif
 
 
+#if defined TLG_CRYPT
+const char crypt_usage[] = "crypt <passwd>\n"
+#ifndef TLG_FEATURE_TRIVIAL_HELP
+	"\nOutputs a crypted passwd\n"
+#endif
+;
+#endif
+
+
 #if defined TLG_DELUSER
 const char deluser_usage[] = "deluser <login name>\n"
 #ifndef TLG_FEATURE_TRIVIAL_HELP
diff -Nur wvc54g-EU.orig/SOURCE/linux/.config wvc54g-EU/SOURCE/linux/.config
--- wvc54g-EU.orig/SOURCE/linux/.config	2005-10-14 12:11:35.000000000 +0200
+++ wvc54g-EU/SOURCE/linux/.config	2008-02-08 16:46:52.000000000 +0100
@@ -59,7 +59,7 @@
 CONFIG_SYSVIPC=y
 CONFIG_REDUCED_MEMORY=y
 # CONFIG_BSD_PROCESS_ACCT is not set
-# CONFIG_SYSCTL is not set
+CONFIG_SYSCTL=y
 # CONFIG_NWFPE is not set
 CONFIG_KCORE_ELF=y
 # CONFIG_KCORE_AOUT is not set
diff -Nur wvc54g-EU.orig/SOURCE/linux/include/config/sysctl.h wvc54g-EU/SOURCE/linux/include/config/sysctl.h
--- wvc54g-EU.orig/SOURCE/linux/include/config/sysctl.h	2005-10-14 11:26:15.000000000 +0200
+++ wvc54g-EU/SOURCE/linux/include/config/sysctl.h	2008-02-08 16:46:52.000000000 +0100
@@ -1 +1 @@
-#undef  CONFIG_SYSCTL
+#define CONFIG_SYSCTL 1
diff -Nur wvc54g-EU.orig/SOURCE/linux/include/linux/autoconf.h wvc54g-EU/SOURCE/linux/include/linux/autoconf.h
--- wvc54g-EU.orig/SOURCE/linux/include/linux/autoconf.h	2005-10-14 12:11:35.000000000 +0200
+++ wvc54g-EU/SOURCE/linux/include/linux/autoconf.h	2008-02-08 16:46:52.000000000 +0100
@@ -1,5 +1,5 @@
 /*
- * Automatically generated by make menuconfig: don't edit
+ * Automatically generated C config: don't edit
  */
 #define AUTOCONF_INCLUDED
 #define CONFIG_ARM 1
@@ -60,7 +60,7 @@
 #define CONFIG_SYSVIPC 1
 #define CONFIG_REDUCED_MEMORY 1
 #undef  CONFIG_BSD_PROCESS_ACCT
-#undef  CONFIG_SYSCTL
+#define CONFIG_SYSCTL 1
 #undef  CONFIG_NWFPE
 #define CONFIG_KCORE_ELF 1
 #undef  CONFIG_KCORE_AOUT
@@ -92,6 +92,10 @@
 #undef  CONFIG_KHTTPD
 #undef  CONFIG_ATM
 #undef  CONFIG_VLAN_8021Q
+
+/*
+ *  
+ */
 #undef  CONFIG_IPX
 #undef  CONFIG_ATALK
 
@@ -376,6 +380,10 @@
 #undef  CONFIG_INPUT_EMU10K1
 #undef  CONFIG_INPUT_SERIO
 #undef  CONFIG_INPUT_SERPORT
+
+/*
+ * Joysticks
+ */
 #undef  CONFIG_INPUT_ANALOG
 #undef  CONFIG_INPUT_A3D
 #undef  CONFIG_INPUT_ADI
